Sandbox Simulations
Unit exposes the following sandbox-specific endpoints, in addition to all other endpoints. They allow you to easily test and simulate real-world events - external activity, or internal activity that may normally take a long time to occur.
Simulation operations are subject to the same authentication scheme as the Live APIs, and therefore require a valid Authentication token.
Approve Check Deposit
This API allows you to simulate an approval of an existing Check Deposit with PendingReview status.
After approval, the status would change to Pending.
The Check Deposit Pending) webhook event will be fired.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/check-deposits/{checkDepositId}/approve |
| Timeout (Seconds) | 120 |
curl -X POST 'https://api.s.unit.sh/sandbox/check-deposits/122/approve' \
-H "Authorization: Bearer ${TOKEN}"
Transmit Check Deposit
This API allows you to simulate a file transmission to the network for an existing Check Deposit with Pending status.
After transmission, the status would change to Clearing.
The Check Deposit Clearing) webhook event will be fired.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/check-deposits/{checkDepositId}/transmit |
| Timeout (Seconds) | 5 |
curl -X POST 'https://api.s.unit.sh/sandbox/check-deposits/122/transmit' \
-H "Authorization: Bearer ${TOKEN}"
Clear Check Deposit
This API allows you to immediately clear an existing Check Deposit with Clearing status without waiting for the end of the clearing period.
The Check Deposit Sent) and the Transaction Created webhook events will be fired.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/check-deposits/{checkDepositId}/clear |
| Timeout (Seconds) | 5 |
curl -X POST 'https://api.s.unit.sh/sandbox/check-deposits/122/clear' \
-H "Authorization: Bearer ${TOKEN}"
Return Check Deposit
This API allows you to return an existing Check Deposit with Sent status, for testing purposes.
The Check Deposit Returned) and the Transaction Created webhook events will be fired.
| Verb | POST |
| URL | https://api.s.unit.sh/sandbox/check-deposits/{checkDepositId}/return |
| Timeout (Seconds) | 5 |
curl -X POST 'https://api.s.unit.sh/sandbox/check-deposits/122/return' \
-H "Authorization: Bearer ${TOKEN}"
Generate Check Front-Side
This API allows you to generate a check front-side image for testing purposes. It can be used to test the Check Deposits Upload Front-Side Image functionality.
| Verb | GET |
| URL | https://api.s.unit.sh/sandbox/generate-check/front |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|---|---|
| payToTheOrderOf | string | A specific person or organization that the payer authorizes to receive money. |
| amount | number | The amount (in US dollars). |
| amountString | string | The amount in text. |
| for | string | A memo / purpose for the check. |
curl -X GET 'https://api.s.unit.sh/sandbox/generate-check/front?payToTheOrderOf=Pied Piper&amount=50000&amountString=Fifty thousand&for=Winning startup competition' \
-H "Authorization: Bearer ${TOKEN}"

Generate Check Back-Side
This API allows you to generate a check back-side image for testing purposes. It can be used to test the Check Deposits Upload Back-Side Image functionality.
| Verb | GET |
| URL | https://api.s.unit.sh/sandbox/generate-check/back |
| Timeout (Seconds) | 5 |
curl -X GET 'https://api.s.unit.sh/sandbox/generate-check/back' \
-H "Authorization: Bearer ${TOKEN}"